Loading...
Traders Beware!
Warning!

Fraudulent websites posing to have a connection with JFD

Please be aware of fraudulent websites
posing as JFD's affiliates and/or counterparties

More information

Upcoming Update of MT4 platform

We would like to inform you that, after 1 October 2021, MetaTrader 4 desktop terminal builds below 1320 will no longer be supported.

We recommend you update your trading terminals to the latest version to avoid any errors or issues in the future. You can find the latest download links in your My JFD area or by following the link MT4+ Desktop.